#include "glob-application.h"
#include "glob-app-window.h"
#include "glob-search.h"

struct _GlobApplication
{
    GtkApplication parent_instance;

    GtkWidget *window;
};

G_DEFINE_TYPE (GlobApplication, glob_application, GTK_TYPE_APPLICATION)

static void
glob_application_activate (GApplication *app)
{
    GlobApplication *glob_app = GLOB_APPLICATION (app);
    glob_app->window = glob_app_window_new (GLOB_APPLICATION (app));
    gtk_widget_show_all (glob_app->window);
}

static void
glob_application_class_init (GlobApplicationClass *klass)
{
    GApplicationClass *app_class = G_APPLICATION_CLASS (klass);

    app_class->activate = glob_application_activate;
}

static void
glob_application_init (GlobApplication *app)
{

}

/**
 * glob_application_new:
 *
 * Gets the application object.
 *
 * Returns: (transfer full) the application object
 */
GlobApplication *
glob_application_new (void)
{
    g_set_application_name ("Glob");

    return g_object_new (GLOB_TYPE_APPLICATION,
                         "application-id", "uk.me.bcowan.Glob",
                         NULL);
}
